// Arquivo de exemplo: RegGroups.cs
// Para compilar utilize: csc RegGroups.cs
using System;
using System.Text.RegularExpressions;

public class Groups1 {
	public static void Main() {
		Regex reg = new Regex("(1(2))3");
		string buscar=("823412312423");
		Match a = reg.Match(buscar);		
		for(int i=0;a.Groups[i].Value !="";i++) {
			Console.WriteLine(a.Groups[i]);
		}
		Console.Read();
	}
}
